Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jun 2025 22:26:22 +0300

> Date: Sun, 22 Jun 2025 03:49:07 +0900
> From: Jordan Ellis Coppard <[email-masked]>
> Cc: [email-masked]
> 
> My 2c here is that this seems rather basic and while the tests pass with 
> toy lorem-ipsum language it fails completely if abbreviations are used, 
> for example, running M-x fill-paragraph-semlf over:
> 
> #+begin_example
> Hi there Chris! I see you've got your M.D. now so I suppose I should 
> call you Dr. Yoo. I hear you're also a newly appointed U.S. Rep., what 
> is that like? Good I hope.
> #+end_example
> 
> Gets split to:
> 
> #+begin_example
> Hi there Chris!
> I see you've got your M.D.
> now so I suppose I should call you Dr.
> Yoo.
> I hear you're also a newly appointed U.S.
> Rep., what is that like?
> Good I hope.
> #+end_example
> 
> This is not correct, one would expect:

Do you have sentence-end-double-space set to nil?  If yes, this is a
feature.  If no, that's indeed a bug, since semantic linefeed should
not consider a single space after a period to be the end of a sentence
in that case.

Roi, could you take a look, please?